Package: freeradius / 3.0.12+dfsg-5+deb9u1

debian-local/0010-version.c-disable-openssl-version-check.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
From 1b4e8e5751c417ba9d3788d264e76aba4f6baa12 Mon Sep 17 00:00:00 2001
From: Sam Hartman <hartmans@debian.org>
Date: Thu, 23 Oct 2014 21:44:03 -0400
Subject: version.c: disable openssl version check

For Debian we don't want to require that the built OpenSSL be the same
as the linked OpenSSL.  Debian will be responsible for changing the
soname if the ABI changes.  The version check causes the freeradius
packages to fail whenever a new OpenSSL is built.

Patch-Category: debian-local
---
 src/main/version.c | 45 +++++++--------------------------------------
 1 file changed, 7 insertions(+), 38 deletions(-)

Index: freeradius/src/main/radiusd.c
===================================================================
--- freeradius.orig/src/main/radiusd.c
+++ freeradius/src/main/radiusd.c
@@ -268,14 +268,6 @@ int main(int argc, char *argv[])
 
 	if (rad_check_lib_magic(RADIUSD_MAGIC_NUMBER) < 0) exit(EXIT_FAILURE);
 
-	/*
-	 *  Mismatch between build time OpenSSL and linked SSL, better to die
-	 *  here than segfault later.
-	 */
-#ifdef HAVE_OPENSSL_CRYPTO_H
-	if (ssl_check_consistency() < 0) exit(EXIT_FAILURE);
-#endif
-
 	if (flag && (flag != 0x03)) {
 		fprintf(stderr, "%s: The options -i and -p cannot be used individually.\n",
 			main_config.name);